Package org.picocontainer

# Class Characteristics.ImmutableProperties

java.lang.Object
java.util.Dictionary<Object,Object>
java.util.Hashtable<Object,Object>
java.util.Properties
org.picocontainer.Characteristics.ImmutableProperties

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<Object,Object>`

Enclosing class:
  `Characteristics`

public static class Characteristics.ImmutableProperties extends Properties
Read only property set. Once constructed, all methods that modify state will throw UnsupportedOperationException.

Author:
  Paul Hammant.
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.Properties

`defaults`

## Constructor Summary

Constructors
Constructor
Description
`ImmutableProperties(String name, String value)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Read Only Object: will throw UnsupportedOperationException.
`Object`
`put(Object key, Object value)`
Once object is constructed, this will throw UnsupportedOperationException because this class is a read only wrapper.
`void`
`putAll(Map<? extends Object,? extends Object> t)`
Read Only Object: will throw UnsupportedOperationException.
`Object`
`remove(Object o)`
Read Only Object: will throw UnsupportedOperationException.
`Object`
`setProperty(String string, String string1)`
Read Only Object: will throw UnsupportedOperationException.

### Methods inherited from class java.util.Properties

`clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, getProperty, getProperty, hashCode, isEmpty, keys, keySet, list, list, load, load, loadFromXML, merge, propertyNames, putIfAbsent, rehash, remove, replace, replace, replaceAll, save, size, store, store, storeToXML, storeToXML, storeToXML, stringPropertyNames, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ImmutableProperties

public ImmutableProperties(String name, String value)

## Method Details

### remove

public Object remove(Object o)
Read Only Object: will throw UnsupportedOperationException.

Specified by:
  `remove` in interface `Map<Object,Object>`
Overrides:
  `remove` in class `Properties`

### setProperty

public Object setProperty(String string, String string1)
Read Only Object: will throw UnsupportedOperationException.

Overrides:
  `setProperty` in class `Properties`

### clear

public void clear()
Read Only Object: will throw UnsupportedOperationException.

Specified by:
  `clear` in interface `Map<Object,Object>`
Overrides:
  `clear` in class `Properties`

### put

public Object put(Object key, Object value)
Once object is constructed, this will throw UnsupportedOperationException because this class is a read only wrapper.

Specified by:
  `put` in interface `Map<Object,Object>`
Overrides:
  `put` in class `Properties`

### putAll

public void putAll(Map<? extends Object,? extends Object> t)
Read Only Object: will throw UnsupportedOperationException.

Specified by:
  `putAll` in interface `Map<Object,Object>`
Overrides:
  `putAll` in class `Properties`